OpenVDB 11.0.0

Loading...
Searching...
No Matches
Namespaces | Typedefs | Functions
Name.h File Reference
`#include <openvdb/Platform.h>`
`#include <openvdb/version.h>`
`#include <string>`
`#include <iostream>`
`#include <vector>`
`#include <set>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::string

## Typedefs
typedef std::string | Name

## Functions
Name | readString (std::istream &is)
void | writeString (std::ostream &os, const Name &name)
template<typename ContainerT >
void | split (ContainerT &out, const std::string &in, const char delim)
template<typename ContainerT >
void | split (ContainerT &out, const std::string &in, const std::set< char > &delims)
bool | starts_with (const std::string &in, const std::string &start)
bool | ends_with (const std::string &in, const std::string &end)
void | trim (std::string &s)
void | to_lower (std::string &s)